Difference between revisions of "PineNote Development"

Jump to navigation Jump to search
Line 99: Line 99:
   size_t expected_digest_len = 0;
   size_t expected_digest_len = 0;
   uint8_t expected_digest_buf[AVB_SHA512_DIGEST_SIZE];
   uint8_t expected_digest_buf[AVB_SHA512_DIGEST_SIZE];
</pre>
For systems where the global python executable points to python2, compilation fails with an error related to pyelftools not being installed (even if it is). To fix this:
<pre>
diff --git a/make.sh b/make.sh
index 2bba05b4e4..cfe5b0afd5 100755
--- a/make.sh
+++ b/make.sh
@@ -758,7 +758,7 @@ function pack_fit_image()
        fi
        if [ "${ARM64_TRUSTZONE}" == "y" ]; then
-              if ! python -c "import elftools" ; then
+              if ! python3 -c "import elftools" ; then
                        echo "ERROR: No python 'pyelftools', please: pip install pyelftools"
                        exit 1
                fi
</pre>
</pre>
</blockquote>
</blockquote>